summaryrefslogtreecommitdiffstats
path: root/gnulib-tests/test-strtold1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gnulib-tests/test-strtold1.sh')
-rwxr-xr-xgnulib-tests/test-strtold1.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/gnulib-tests/test-strtold1.sh b/gnulib-tests/test-strtold1.sh
new file mode 100755
index 0000000..3f4c4b9
--- /dev/null
+++ b/gnulib-tests/test-strtold1.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+: ${LOCALE_FR=fr_FR}
+: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
+
+if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no locale for testing is installed"
+ else
+ echo "Skipping test: no locale for testing is supported"
+ fi
+ exit 77
+fi
+
+if test $LOCALE_FR != none; then
+ LC_ALL=$LOCALE_FR ${CHECKER} ./test-strtold1${EXEEXT} || exit 1
+fi
+
+if test $LOCALE_FR_UTF8 != none; then
+ LC_ALL=$LOCALE_FR_UTF8 ${CHECKER} ./test-strtold1${EXEEXT} || exit 1
+fi
+
+exit 0